# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/pressure/bmp085.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: BMP085/BMP180/BMP280/BME280 pressure iio sensors

maintainers:
  - Andreas Klinger <ak@it-klinger.de>

description: |
  Pressure, temperature and humidity iio sensors with i2c and spi interfaces

  Specifications about the sensor can be found at:
    https://www.bosch-sensortec.com/bst/products/all_products/bmp180
    https://www.bosch-sensortec.com/bst/products/all_products/bmp280
    https://www.bosch-sensortec.com/bst/products/all_products/bme280

properties:
  compatible:
    enum:
      - bosch,bmp085
      - bosch,bmp180
      - bosch,bmp280
      - bosch,bme280

  reg:
    maxItems: 1

  vddd-supply:
    description:
      digital voltage regulator (see regulator/regulator.txt)

  vdda-supply:
    description:
      analog voltage regulator (see regulator/regulator.txt)

  reset-gpios:
    description:
      A GPIO line handling reset of the sensor. As the line is active low,
      it should be marked GPIO_ACTIVE_LOW (see gpio/gpio.txt)
    maxItems: 1

  interrupts:
    description:
      interrupt mapping for IRQ (BMP085 only)
    maxItems: 1

required:
  - compatible
  - vddd-supply
  - vdda-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c0 {
      #address-cells = <1>;
      #size-cells = <0>;
      pressure@77 {
          compatible = "bosch,bmp085";
          reg = <0x77>;
          interrupt-parent = <&gpio0>;
          interrupts = <25 IRQ_TYPE_EDGE_RISING>;
          reset-gpios = <&gpio0 26 GPIO_ACTIVE_LOW>;
          vddd-supply = <&foo>;
          vdda-supply = <&bar>;
      };
    };
